Uploaded image for project: 'Plugins'
  1. Plugins
  2. CONTRIB-4399

Warning message shows in topcoll with Moodle 2.5

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Cannot Reproduce
    • Affects Version/s: 2.5
    • Fix Version/s: None
    • Component/s: Course format: Topcoll
    • Labels:
      None
    • Affected Branches:
      MOODLE_25_STABLE

      Description

      When using topcoll in Moodle 2.5, several warnings (one per topic) are shown. The warning says:

      Function print_section() is deprecated. Please use course renderer function course_section_cm_list() instead.
      line 3160 of \lib\deprecatedlib.php: call to debugging()
      line 742 of \course\format\topcoll\renderer.php: call to print_section()
      line 175 of \course\format\topcoll\format.php: call to format_topcoll_renderer->print_multiple_section_page()
      line 276 of \course\view.php: call to require()
      

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: